Bug 236428 - [patch] devel/dulwich: Update to 0.19.11 and allow including tests
Summary: [patch] devel/dulwich: Update to 0.19.11 and allow including tests
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks: 236609
  Show dependency treegraph
 
Reported: 2019-03-09 22:00 UTC by fullermd
Modified: 2019-04-28 11:42 UTC (History)
2 users (show)

See Also:


Attachments
Update to 0.19.11 (11.81 KB, patch)
2019-03-09 22:00 UTC, fullermd
no flags Details | Diff
Update to 0.19.11 (11.88 KB, patch)
2019-03-17 22:47 UTC, fullermd
no flags Details | Diff
slightly updated patch (11.28 KB, patch)
2019-03-18 23:44 UTC, Steve Wills
swills: maintainer-approval? (marco.broeder)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fullermd 2019-03-09 22:00:14 UTC
Created attachment 202750 [details]
Update to 0.19.11

Catchup a year or so of upstream releases.  Add an OPTION for including the test-related code, and change the patches that previously unconditionally disabled them into conditional REINPLACE's.
Comment 1 fullermd 2019-03-17 22:47:43 UTC
Created attachment 202944 [details]
Update to 0.19.11

Updated patch with concurrent adjustment, to allow installing multiple flavors at once.  This is necessary for dependent ports to be able to concurrent-ize as well.
Comment 2 Steve Wills freebsd_committer 2019-03-18 23:44:26 UTC
Created attachment 202966 [details]
slightly updated patch

Here's a slightly modified version (fixed USES order). Please approve.
Comment 3 fullermd 2019-04-07 23:58:31 UTC
ping; coming up on 3 weeks since last patch iteration
Comment 4 commit-hook freebsd_committer 2019-04-28 11:42:25 UTC
A commit references this bug:

Author: swills
Date: Sun Apr 28 11:41:52 UTC 2019
New revision: 500310
URL: https://svnweb.freebsd.org/changeset/ports/500310

Log:
  devel/dulwich: Update to 0.19.11 and allow including tests

  PR:		236428
  Submitted by:	fullermd@over-yonder.net
  Approved by:	maintainer timeout (marco.broeder@posteo.eu, >5 weeks)

Changes:
  head/devel/dulwich/Makefile
  head/devel/dulwich/distinfo
  head/devel/dulwich/files/
Comment 5 Steve Wills freebsd_committer 2019-04-28 11:42:56 UTC
Committed, thanks!